JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class OleAutoUtil

    java.lang.Object
      com.sun.jna.platform.win32.OleAutoUtil

    public abstract class OleAutoUtil

extends java.lang.Object

The Class OleAut32Util.

Author:
  Tobias Wolf, wolf.tobias@gmx.net

Constructor Summary
`OleAutoUtil()`

Method Summary
`static OaIdl.SAFEARRAY.ByReference` `createVarArray(int size)` Creates a new the variant array.
`static Variant.VARIANT` `SafeArrayGetElement(OaIdl.SAFEARRAY array, long index)` Safe array get element.
`static void` `SafeArrayPutElement(OaIdl.SAFEARRAY array, long index, Variant.VARIANT arg)` Safe array put element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OleAutoUtil

    public OleAutoUtil()

Method Detail

### createVarArray

    public static OaIdl.SAFEARRAY.ByReference createVarArray(int size)

  Creates a new the variant array.

  Parameters:
    `size` - the size
  Returns:
    the sAFEARRA y. by reference

### SafeArrayPutElement

    public static void SafeArrayPutElement(OaIdl.SAFEARRAY array,
                                           long index,
                                           Variant.VARIANT arg)

  Safe array put element.

  Parameters:
    `array` - the array
    `index` - the index
    `arg` - the arg

### SafeArrayGetElement

    public static Variant.VARIANT SafeArrayGetElement(OaIdl.SAFEARRAY array,
                                                      long index)

  Safe array get element.

  Parameters:
    `array` - the array
    `index` - the index
  Returns:
    the variant

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.